Skip to main content
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

workspaceId
string<uuid>
required

The workspace id.

Body

application/json
name
any
slug
any
inviteCode
any

Response

Response OK.

id
string<uuid>
required
read-only

The workspace id.

name
string
required

The workspace name.

Maximum string length: 80
Example:

"Openlayer"

slug
string
required

The workspace slug.

Maximum string length: 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
Example:

"openlayer"

dateCreated
string<date-time>
required
read-only

The workspace creation date.

dateUpdated
string<date-time>
required
read-only

The workspace last updated date.

creatorId
string<uuid> | null
required
read-only

The workspace creator id.

projectCount
integer
required
read-only

The number of projects in the workspace.

Required range: x >= 0
memberCount
integer
required
read-only

The number of members in the workspace.

Required range: x >= 0
inviteCount
integer
required
read-only

The number of invites in the workspace.

Required range: x >= 0
periodStartDate
string<date-time> | null
required
read-only

The start date of the current billing period.

periodEndDate
string<date-time> | null
required
read-only

The end date of the current billing period.

status
enum<string>
required
read-only
Available options:
active,
past_due,
unpaid,
canceled,
incomplete,
incomplete_expired,
trialing,
paused
wildcardDomains
string[]
monthlyUsage
object[]
read-only
samlOnlyAccess
boolean

Whether the workspace only allows SAML authentication.